summaryrefslogtreecommitdiffstats
path: root/debian/postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/postinst')
-rw-r--r--debian/postinst29
1 files changed, 29 insertions, 0 deletions
diff --git a/debian/postinst b/debian/postinst
new file mode 100644
index 0000000..847a44a
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,29 @@
+#!/bin/sh
+set -e
+
+install-info --quiet --section "The Algorithmic Language Scheme" \
+ "The Algorithmic Language Scheme" \
+ --description="The SLIB portable Scheme library" \
+ /usr/share/info/slib.info.gz
+
+# OK. This is bad because it really should be in the guile config or
+# in some emacs-commond sort of package. Now we conditionally run it.
+# one of these probably shouldn't exist, but don't know which and
+# probably shourld support the older.
+if [ -x /usr/sbin/guile1.4-slibconfig ] ; then
+ echo Running /usr/sbin/guile1.4-slibconfig
+ /usr/sbin/guile1.4-slibconfig
+fi
+
+if [ "$1" = "configure" ]; then
+ if [ -d /usr/doc -a ! -e /usr/doc/slib -a -d /usr/share/doc/slib ]; then
+ ln -sf ../share/doc/slib /usr/doc/slib
+ fi
+fi
+
+# doc base support
+if [ "$1" = configure ]; then
+ if command -v install-docs >/dev/null 2>&1; then
+ install-docs -i /usr/share/doc-base/slib
+ fi
+fi